Skip to main content
POST
/
customers
/
{customerID}
/
external_accounts
/
{externalAccountID}
/
verify
Verify external account holder
curl --request POST \
  --url https://api.bridge.xyz/v0/customers/{customerID}/external_accounts/{externalAccountID}/verify \
  --header 'Api-Key: <api-key>'
{
  "account_type": "<string>",
  "account_verification": {
    "iban": {
      "match_level": "pending",
      "reason_code": "<string>",
      "validated_account_owner_name": "<string>"
    },
    "gb": {
      "match_level": "pending",
      "reason_code": "<string>",
      "validated_account_owner_name": "<string>"
    },
    "requested_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
externalAccountID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

Verification initiated or already in progress.

account_type
string

The type of external account (e.g. iban, gb, us).

account_verification
object

Result of an account holder verification check.